import Base from "comptechsoft-vue-foundation/src/Base";
import Collection from "comptechsoft-vue-foundation/src/Classes/Collection/Collection";

class Searchable extends Base {

    constructor(name, parent = null, onInit = null) {
        super(name, parent, onInit)

        this.AddProperty('fields', new Collection('fields'))
        this.AddProperty('value')
    }

    SetSearchBy(fields) {
        _.each(fields, field => {
            this.fields.Push(field)
        })
    }

    GetFields() {
        let r = []
        _.each(this.fields.All(), field => {
            r.push(field)
        })
        return r
    }

    Get() {
        return {
            fields: this.GetFields(),
            value: this.value
        }
    }
}

export default Searchable