import Component from "comptechsoft-vue-foundation/src/Vue/Components/Component";
import Tree from "comptechsoft-vue-foundation/src/Vue/Components/Tree/Tree";

class Actions extends Component {

    constructor(name, parent = null, onInit = null) {
        super(name, parent, onInit)

        this.AddProperty('width', 0)
        this.AddProperty('actions', new Tree('actions'))
    }

    AddAction(action) {
        this.actions.AddNode(action) 
        action.AddClass(['btn', 'btn-sm', 'btn-icon', 'btn-icon-sm'])
        action.AddStyle('width', '1.5rem')
        action.AddStyle('height', '1.5rem')
        return this
    }

    SetWidthStyle(width) {
        this.Set('width', width)
        return this
            .AddStyle('width', width + '% !important')
            .AddStyle('max-width', width + '% !important')
            .AddStyle('min-width', width + '% !important')   
    }
}

export default Actions