import Component from "comptechsoft-vue-foundation/src/Vue/Components/Component"

class Source extends Component {
    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        this.AddProperty('renderer', (record, key, row, col, portlet) => '-')
    }

    SetWidthStyle(width) {
        return this
            .AddStyle('width', width + '% !important')
            .AddStyle('max-width', width + '% !important')
            .AddStyle('min-width', width + '% !important')
    }

    SetRenderer(renderer) {
        this.Set('renderer', renderer)
        return this
    }
} 

export default Source