import Collection from "comptechsoft-vue-foundation/src/Classes/Collection/Collection";

class HtmlStyle extends Collection {

    constructor(name, parent = null, onInit = null) {
        super(name, parent, onInit)
    }

    AddStyle(style, value) {
        if( _.isString(style) )
        {
            this.Put(style, value)
        }
        else
        {
            if(_.isObject(style))
            {
                _.each(style, (value, item) => {
                    this.Put(item, value)
                })
            }
        }
        return this
    }

    getHtmlStyle() {
        let r = {}
        _.each(this.All(), (value, item) => {
            if(_.isFunction(value))
            {
                r[item] = value()
            }
            else
            {
                r[item] = value
            }
        })
        return r
    }
}


export default HtmlStyle