import Component from "comptechsoft-vue-foundation/src/Vue/Components/Component";
import Button from './Button'

class Action extends Component {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        this.AddProperty('button', new Button('button') )
        this.AddProperty('endpoint')
    }

    SetButtonCaption(caption) {
        this.button.SetCaption(caption)
        return this
    }

    SetButtonIcon(icon) {
        this.button.SetIcon(icon)
        return this
    }

    SetButtonHtmlClass(html_class) {
        this.button.AddClass(html_class)
        return this
    }

    SetEndpoint(endpoint) {
        return this.Set('endpoint', endpoint)
    }
}

export default Action