import Component from 'comptechsoft-vue-foundation/src/Vue/Components/Component'
import Tree from './../../Tree/Tree'

class Subheader extends Component {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        this.AddProperty('breadcrumbs', new Tree('breadcrumbs'))
        this.AddProperty('actions', new Tree('actions'))

        this.actions.SetIcon('la la-angle-right p-0').SetTitle('Acțiuni rapide')

    }

}

export default Subheader