module.exports = {

    computed: {
        $menus() {
            return this.$store.getters['Menus/menus']
        } 
    },

    methods: {
        $OnClick(option) {
            if(option.enabled)
            {
                option.Click(this)
            }
        },

        $GetMenu(key) {
            let menu = this.$store.getters['Menus/menus'].Get(key)
            return menu ? menu(this.$user) : null
        },

        $Options(menu) {
            return (! menu) ? null : menu.Children(this).All()
        }
    }

}