import Column from "comptechsoft-vue-foundation/src/~compvuetech/Classes/Datatable/Column"
import Collection from "..//Collection/Collection"

class ActionsColumn extends Column {

    constructor(name, width) {
        super(name)

        this.SetWidth(width)
        this.SetCaption('Acțiuni')
        this.SetType('actions')

        this.AddSourceStyle({
            'text-align': 'center'
        })

        this.actions = new Collection()
    }

    AddAction(key, action) {
        this.actions.Put(key, action)
        return this
    }

    get recordActions() {
        return this.actions.All()
    }

}

export default ActionsColumn