import FilterControl from "comptechsoft-vue-foundation/src/~compvuetech/Classes/Filter/FilterControl";

class FilterControlNumeric extends FilterControl {

    constructor(id) {
        super(id)

        this.component = 'fetcher-filter-numeric'
        this.step = 1

        this.operators = [
            {
                id: null,
                text: 'Selectați crtiteriul'
            },
            {
                id: 'equal',
                text: '=',
            },
            {
                id: 'less',
                text: '<'
            },
            {
                id: 'greater',
                text: '>'
            },
            {
                id: 'between',
                text: 'Între'
            }
        ]
    }

    SetStep(value) {
        this.step = value
        return this
    }
}

export default FilterControlNumeric