import Control from "../../Control";

class Checkbox extends Control {

    constructor(name) {
        super(name)

        this.label = 'My Label (' + this.name + ')'
        this.options = []

        this.checked = []
    }
    
    SetLabel(value) {
        this.label = value
        return this
    }

    AddOption(id, text) {
        this.options.push({id, text})
        return this
    }

}

export default Checkbox