module.exports = {
    
    props: {
        /**
         * errors
         */
        errors: {default: null},
    },

    computed: {
        hasErrors() {
            return (! this.errors) ? false : this.errors.hasOwnProperty(this.control.field)
        },

        errorMessages() {
            return ( ! this.hasErrors ) ? [] : this.errors[this.control.field]
        }
    },
}