module.exports = {

    computed: {
        CARDS_all() {
            return this.$store.getters['Cards/cards']
        }
    },

    methods: {
        CARDS_getCard(name) {
            return this.CARDS_all[name]
        },

        CARDS_Refresh(name) {
            this.CARDS_getCard(name).Refresh()
        },

        CARDS_Enable(name) {
            this.CARDS_getCard(name).Enable()
        },

        CARDS_Disable(name) {
            this.CARDS_getCard(name).Disable()
        },

        CARDS_Show(name, action = null, record = null) {
            this.CARDS_getCard(name).Show(action, record)
        },

        CARDS_Hide(name) {
            this.CARDS_getCard(name).Hide(this)
        },

        CARDS_ResetRecord(name) {
            this.CARDS_getCard(name).ResetRecord()
        },

        CARDS_HasRepeatedInsert(name) {
            let card = this.CARDS_getCard(name)
            return card.repeat_insert_action && (card.action == 'insert')
        }
    }

}