const CrudPortlet = require('comptechsoft-vue-foundation/src/Vue/Components/Metronic/Portlets/Crud/CrudPortlet').default

module.exports = (portlet, crud = null) => {

    // alert(portlet.key)

    form = vue => {
        let cp = null
        if(portlet.hasOwnProperty('CreatePortlet'))
        {
            cp = portlet.CreatePortlet(vue)
        }
        else
        {
            /** Portlet object, caption */
            cp = new CrudPortlet(portlet.key).SetCaption(portlet.caption)

            /** Portlet tools */
            _.each(portlet.tools, node => cp.tools.AddNode(node))

            /** Control component, form, blank record */
            cp
                .Set('controls_component', crud.controls)
                .Set('form', crud.form(vue))
                .SetBlankRecord(crud.blank)

            /** form actions */
            _.each(crud.actions, action => cp.AddAction(action))
        }

        return cp
    }

    return {
        key: portlet.key,
        form,
    }
}