import FormGroupCombobox from "comptechsoft-vue-foundation/src/Vue/Components/Forms/Controls/BsFormGroup/Combobox"
import Fetcher from "comptechsoft-vue-foundation/src/Classes/Fetcher/Fetcher"

class FormGroupComboboxRemote extends FormGroupCombobox {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        this.AddProperty('fetcher', new Fetcher('fetcher'))
        this.AddProperty('renderer', record => record.id)
    }

    SetOptionRenderer(renderer) {
        return this.Set('renderer', renderer)
    } 

    Populate() {
        this.fetcher.Success(data => {
            
            console.log('Sart Populate(' + this.name + ')', data.paginator.data)
            
            this.Empty()

            if(this.combobox.null_option)
            {
                this.AddOption(this.combobox.null_option)
            }
            _.each(data.paginator.data, (record, index) => {
            
                console.log('Add Option(' + record.id + ')')
                this.AddOption({
                    id: record.id,
                    text: this.renderer(record)
                })
            })
        }).Post()
    }

    Processing() {
        return this.fetcher.Processing()
    }
}

export default FormGroupComboboxRemote