import Component from "comptechsoft-vue-foundation/src/Vue/Components/Component"

class CrudModal extends Component {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)
        this.Hide()

        this.AddProperty('portlet')
    }

    ShowForm(action, record, onShowForm = null) {
        this.portlet.ShowForm(action, record, onShowForm)
        this.Show()
        return this
    }

    HideForm() {
        this.portlet.HideForm() 
        this.Hide()
        return this
    }

}

export default CrudModal