import FormSet from "comptechsoft-vue-foundation/src/Classes/App/FormSet";

export default {

    namespaced: true,

    state: {
        subheader: null,
        formset: new FormSet('formset'),
        instances: {},
    },

    getters: {
        subheader: state => state.subheader,
        formset: state => state.formset,
        instances: state => state.instances,
    },

    actions: {
        SetSubheader(context, payload) {
            context.state.subheader = payload
        },

        AddForm(context, payload) {
            context.state.formset.AddForm(payload.key, payload.form)
        },

        AddInstance(context, payload) {
            context.state.instances[payload.name] = payload.form
        }
    },
}