import Base from "../../Base";
import Collection from "../../Collection/Collection";

class AxiosFetcherSearch extends Base {

    constructor() {
        super() 
        
        this.fields = new Collection()
        this.value = null
    }

    SetFields(values) {

        if(_.isString(values))
        {
            this.fields.Push(values)
        }
        else
        {
            if(_.isArray(values))
            {
                _.each(values, value => this.fields.Push(value))
            }
        }
    }

    get searchFields() {
        let r = []
        _.each(this.fields.All(), field => r.push(field))
        return r
    }

    get searchable() {
        return {
            fields: this.searchFields,
            value: this.value,
        }
    }
}

export default AxiosFetcherSearch
